Download it now!
Bug 62902 - 'Show references in color' doesn't work across sheets, when the sheet name contains a space
Summary: 'Show references in color' doesn't work across sheets, when the sheet name co...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: x86 (IA32) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval
Depends on:
Blocks: Sheet Cell-Reference
  Show dependency treegraph
 
Reported: 2013-03-29 11:11 UTC by Jos
Modified: 2019-10-22 16:18 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
File for testing (7.79 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-03-22 12:46 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jos 2013-03-29 11:11:02 UTC
jos@linux-3h4d:~> soffice --version
LibreOffice 3.5 
 (?)


'Show references in color' doesn't work across sheets, when the sheet name contains a space. The references are then shown in black.
Comment 1 A (Andy) 2013-05-09 08:27:46 UTC
Thank you for reporting this bug!

I have been able to confirm this issue.  It is reproducible with LO 4.0.2.2 (Win7 Home, 64bit).

Steps to Reproduce:
1. Open CALC
2. Create a new spreadsheet
-> As the standard you will now have one sheet with the name "Sheet1"
3. Insert a second and third sheet (e.g. via the menu INSERT -> SHEET or via the + button at the bottom next to the sheet name)
-> You will now have three sheets with the names "Sheet1", "Sheet2" and "Sheet3"
4. Now rename "Sheet3" to "Sheet 3" via right mouse click on the sheet name and selecting RENAME SHEET or via the menu FORMAT -> SHEET -> RENAME
5. Insert "1" in cell A1 of "Sheet2" and "1" in cell A1 of "Sheet 3"
6. Insert in cell A1 of "Sheet1" a formula = 2 x the value of cell A1 of "Sheet2" (=2*Sheet2.A1)
7. Insert in cell A2 of "Sheet1" a formula = 3 x the value of cell A1 of "Sheet 3" (=3*'Sheet 3'.A1)
-> Cell A1 of "Sheet1" will now show "2" and cell A2 "3"
8. Go to cell A1 of "Sheet1" and put the cursor in formula input line at the top
-> Now the formula reference in cell A1 will be shown in blue and if you go to "Sheet2" the cell A1 has a corresponding blue border
9. Go to cell A2 of "Sheet1" and put the cursor in formula input line at the top
-> The reference is not shown in blue in cell A2 and cell A1 of "Sheet 3" has no blue border
Comment 2 A (Andy) 2013-05-09 08:31:30 UTC
Remark to my comment 1: 

Assure that the "Show references in color" is activated (Tools -> Options -> LibreOffice Calc -> View -> section DISPLAY)
Comment 3 QA Administrators 2015-03-04 02:19:38 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-03-22 12:46:50 UTC
Created attachment 114245 [details]
File for testing

Reproduced. Attached is a file for quick verification.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 5 Robinson Tryon (qubit) 2015-12-13 11:20:56 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2018-11-05 03:43:44 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug